| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactSearchResultMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, ContactInfoFieldList >.

## Public Member Functions

| ContactSearchResultMap ()
| ContactSearchResultMap (const QMap< QString, ContactInfoFieldList > &a)
ContactSearchResultMap & | operator= (const QMap< QString, ContactInfoFieldList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, ContactInfoFieldList>, but needed to have a discrete type in the Qt type system.

A map from contact identifier to search result, emitted in the SearchResultReceived signal.

## Constructor & Destructor Documentation

Tp::ContactSearchResultMap::ContactSearchResultMap | ( |  | ) |

inline

Tp::ContactSearchResultMap::ContactSearchResultMap | ( | const QMap< QString, ContactInfoFieldList > & | a | ) |

inline

## Member Function Documentation

ContactSearchResultMap& Tp::ContactSearchResultMap::operator= | ( | const QMap< QString, ContactInfoFieldList > & | a | ) |

inline